List Commands
curl --request GET \
--url https://api.traxes.io/connect/v1/entities/{entityId}/commands \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.traxes.io/connect/v1/entities/{entityId}/commands"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.traxes.io/connect/v1/entities/{entityId}/commands', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"entityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"triggerTime": "2023-11-07T05:31:56Z",
"value": "<string>",
"error": {
"title": "<string>",
"description": "<string>"
},
"verification": {
"completedAt": "2023-11-07T05:31:56Z",
"error": {
"title": "<string>",
"description": "<string>"
}
}
}
],
"links": {
"next": "<string>"
},
"meta": {
"continuationToken": "<string>",
"pageSize": 123
}
}Commands API
List all Commands for an Entity
Returns a page with a list of Commands in a given time frame. If no time frame is given, it will return all available Commands.
GET
/
v1
/
entities
/
{entityId}
/
commands
List Commands
Authorizations
Access Token Authentication
Path Parameters
The id of the Entity
Query Parameters
The start of the Commands trigger timeframe
The end of the Commands trigger timeframe
The number of Commands per page
The token used to retrieve the next page
Was this page helpful?
⌘I